BASENAME(1)

BEZEICHNUNG
basename - Verzeichnis und Suffix von Dateinamen entfernen

ÜBERSICHT
basename NAME [SUFFIX]
basename OPTION… NAME…

BESCHREIBUNG

Den NAMEn ohne führende Verzeichnisse ausgeben. Wenn angegeben, auch SUFFIX entfernen.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-a, --multiple
    Mehrere Argumente unterstützen und jedes als NAME behandeln

-s, --suffix=ENDUNG
    Ein nachfolgendes SUFFIX entfernen

-z, --zero
    Ausgabe mit NUL statt eines Zeilenumbruchs unterteilen

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

BEISPIELE

basename /usr/bin/sort
    -> »sort«

basename include/stdio.h .h
    -> »stdio«

basename -s .h include/stdio.h
    -> »stdio«

basename -a any/str1 any/str2
    -> »str1«, gefolgt von »str2«

GNU coreutils online help: <http://www.gnu.org/software/coreutils/> Report basename translation bugs to <http://translationproject.org/team/>

AUTOR
Geschrieben von David MacKenzie.

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
dirname(1), readlink(1)

Die vollständige Dokumentation für basename wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und basename auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'basename invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org> und Tobias Quathamer <toddy@debian.org> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.